> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ナレッジベースタグを作成

> ナレッジベースを整理するための新しいタグを作成します。



## OpenAPI

````yaml /ja/api-reference/openapi_knowledge.json post /datasets/tags
openapi: 3.0.1
info:
  title: ナレッジAPI
  description: >-
    ナレッジベース、ドキュメント、チャンク、メタデータ、タグの管理（作成、取得、設定を含む）のための API です。**注意：**単一のナレッジベース
    API キーは、同じアカウント配下のすべての可視ナレッジベースを操作する権限を持ちます。データセキュリティにご注意ください。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Knowledge API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: データセット
    description: ナレッジベースの作成、設定、取得を含むナレッジベース管理の操作です。
  - name: ドキュメント
    description: ナレッジベース内のドキュメントの作成、更新、管理のための操作です。
  - name: チャンク
    description: ドキュメントチャンクと子チャンクの管理のための操作です。
  - name: メタデータ
    description: ナレッジベースのメタデータフィールドとドキュメントメタデータ値の管理のための操作です。
  - name: タグ管理
    description: ナレッジベースタグとタグバインディングの管理のための操作です。
  - name: モデル
    description: 利用可能なモデルを取得するための操作です。
  - name: ナレッジパイプライン
    description: データソースプラグインとパイプライン実行を含むナレッジパイプラインの管理と実行のための操作です。
paths:
  /datasets/tags:
    post:
      tags:
        - タグ管理
      summary: ナレッジベースタグを作成
      description: ナレッジベースを整理するための新しいタグを作成します。
      operationId: createKnowledgeTag
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 50
                  description: Tag name.
      responses:
        '200':
          description: タグが正常に作成されました。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: タグ識別子です。
                  name:
                    type: string
                    description: タグの表示名です。
                  type:
                    type: string
                    description: タグタイプです。ナレッジベースタグの場合は常に `knowledge` です。
                  binding_count:
                    type: string
                    nullable: true
                    description: このタグにバインドされたナレッジベースの数です。
              examples:
                success:
                  summary: レスポンス例
                  value:
                    id: f4b5c6d7-e8f9-0a1b-2c3d-4e5f6a7b8c9d
                    name: Product Docs
                    type: knowledge
                    binding_count: '0'
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````